


#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf.
# Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp] [--no-create]
#        [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE] [TARGET]
# Ignores all args except --srcdir, --prefix, --exec-prefix, --no-create, and
# --with-PACKAGE unless this script has special code to handle it.


for arg
do
  # Handle --exec-prefix with a space before the argument.
  if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
  # Handle --host with a space before the argument.
  elif test x$next_host = xyes; then next_host=
  # Handle --prefix with a space before the argument.
  elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
  # Handle --srcdir with a space before the argument.
  elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
  else
    case $arg in
     # For backward compatibility, also recognize exact --exec_prefix.
     -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
	exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
	next_exec_prefix=yes ;;

     -gas | --gas | --ga | --g) ;;

     -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
     -host | --host | --hos | --ho | --h)
	next_host=yes ;;

     -nfp | --nfp | --nf) ;;

     -no-create | --no-create | --no-creat | --no-crea | --no-cre | --no-cr | --no-c | --no- | --no)
        no_create=1 ;;

     -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
	prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
	next_prefix=yes ;;

     -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
	srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
	next_srcdir=yes ;;

     -with-* | --with-*)
       package=`echo $arg|sed 's/-*with-//'`
       # Delete all the valid chars; see if any are left.
       if test -n "`echo $package|sed 's/[-a-zA-Z0-9_]*//g'`"; then
         echo "configure: $package: invalid package name" >&2; exit 1
       fi
       eval "with_`echo $package|sed s/-/_/g`=1" ;;

     *) ;;
    esac
  fi
done

trap 'rm -f conftest* core; exit 1' 1 3 15

rm -f conftest*
compile='${CC-cc} $DEFS conftest.c -o conftest $LIBS >/dev/null 2>&1'

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
unique_file=web/READ_ME.WEB

# Set various FWEB environment variables.
if test -z "$CONFIGURE_INI"; then
  CONFIGURE_INI=configure.ini
fi
. $CONFIGURE_INI

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  srcdirdefaulted=yes
  # Try the directory containing this script, then `..'.
  prog=$0
  confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
  test "X$confdir" = "X$prog" && confdir=.
  srcdir=$confdir
  if test ! -r $srcdir/$unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$unique_file; then
  if test x$srcdirdefaulted = xyes; then
    echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
  else
    echo "configure: Can not find sources in \`${srcdir}'." 1>&2
  fi
  exit 1
fi
# Preserve a srcdir of `.' to avoid automounter screwups with pwd.
# But we can't avoid them for `..', to make subdirectories work.
case $srcdir in
  .|/*|~*) ;;
  *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
esac

if test -z "$CC"; then
  echo checking for gcc
  saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test -f $dir/gcc; then
      CC="gcc"
      break
    fi
  done
  IFS="$saveifs"
fi
test -z "$CC" && CC="cc"

# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  echo "  YES"
  _CFLAGS_='-g -O -ansi -pedantic -funsigned-char -Wall'
  GCC=1 # For later tests.
else
  echo "  NO"
  _CFLAGS_='-g'
fi
rm -f conftest*

echo checking how to run the C preprocessor...
if test -z "$CPP"; then
  CPP='${CC-cc} -E'
  cat > conftest.c <<EOF
#include <stdio.h>
EOF
err=`eval "$CPP $DEFS conftest.c 2>&1 >/dev/null"`
if test -z "$err"; then
  :
else
  CPP=/lib/cpp
fi
rm -f conftest*
fi

echo " CPP=$CPP"

# Make sure to not get the incompatible SysV /etc/install and
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args.  (Sigh.)
if test -z "$INSTALL"; then
  echo checking for install
  saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    case $dir in
    /etc|/usr/sbin|/usr/etc|/usr/afsws/bin) ;;
    *)
      if test -f $dir/install; then
	if grep dspmsg $dir/install >/dev/null 2>&1; then
	  : # AIX
	else
	  INSTALL="$dir/install -c"
	  INSTALL_PROGRAM='$(INSTALL)'
	  INSTALL_DATA='$(INSTALL) -m 644'
	  break
	fi
      fi
      ;;
    esac
  done
  IFS="$saveifs"
fi
INSTALL=${INSTALL-cp}
INSTALL_PROGRAM=${INSTALL_PROGRAM-'$(INSTALL)'}
INSTALL_DATA=${INSTALL_DATA-'$(INSTALL)'}

echo " INSTALL=$INSTALL"
echo " INSTALL_PROGRAM=$INSTALL_PROGRAM"
echo " INSTALL_DATA=$INSTALL_DATA"

echo checking for ANSI C header files...
cat > conftest.c <<EOF
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
err=`eval "$CPP $DEFS conftest.c 2>&1 >/dev/null"`
if test -z "$err"; then
  # SunOS string.h does not declare mem*, contrary to ANSI.
echo '#include <string.h>' > conftest.c
eval "$CPP $DEFS conftest.c > conftest.out 2>&1"
if egrep "memchr" conftest.out >/dev/null 2>&1; then
  # SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
cat > conftest.c <<EOF
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e,f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  echo "  YES"
DEFS="$DEFS -DSTDC_HEADERS=1"
else
  echo "  NO (non-ANSI ctype.h)"

fi
rm -f conftest*
else 
  echo "  NO (memchr not declared in string.h)"

fi
rm -f conftest*

else
  echo "  NO (missing one of <stdlib.h>, <stdarg.h>, <string.h>, or <float.h>)"

fi
rm -f conftest*
echo "checking for common stdio.h prototypes..."
echo '#include <stdio.h>' > conftest.c
eval "$CPP $DEFS conftest.c > conftest.out 2>&1"
if egrep "fputc" conftest.out >/dev/null 2>&1; then
  echo "  YES"
DEFS="$DEFS -DHAVE_STD_PROTOTYPES=1"
else 
  echo "  NO (fputc not prototyped; assuming others such as printf aren't as well)"
fi
rm -f conftest*

for hdr in stdlib.h stdarg.h stddef.h string.h memory.h limits.h values.h
do
trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
echo checking for ${hdr}...
cat > conftest.c <<EOF
#include <${hdr}>
EOF
err=`eval "$CPP $DEFS conftest.c 2>&1 >/dev/null"`
if test -z "$err"; then
  echo "  YES"
DEFS="$DEFS -D${trhdr}=1"
else
  echo "  NO"

fi
rm -f conftest*
done

for hdr in float.h
do
trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
echo checking for ${hdr}...
cat > conftest.c <<EOF
#include <${hdr}>
EOF
err=`eval "$CPP $DEFS conftest.c 2>&1 >/dev/null"`
if test -z "$err"; then
  echo "  YES"
DEFS="$DEFS -D${trhdr}=1"
else
  echo "  NO"

fi
rm -f conftest*
done

# SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
echo "checking for ANSI ctype.h..."
cat > conftest.c <<EOF
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e,f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  echo "  YES"
DEFS="$DEFS -DANSI_CTYPE_H=1"
else
  echo "  NO"
fi
rm -f conftest*

foundflag=""
echo checking for size_t in
for func in stddef.h sys/types.h
do
echo " ${func}..."
echo "#include <${func}>" > conftest.c
eval "$CPP $DEFS conftest.c > conftest.out 2>&1"
if egrep "size_t" conftest.out >/dev/null 2>&1; then
  echo "  YES"
foundflag=y
trfunc=`echo size_t | tr '[a-z]' '[A-Z]'`_DEFINED
DEFS="$DEFS -D${trfunc}=1"
break
fi
rm -f conftest*
done
if test -z "$foundflag"
then
echo "  NO"
fi

foundflag=""
echo checking for clock_t in
for func in time.h sys/types.h
do
echo " ${func}..."
echo "#include <${func}>" > conftest.c
eval "$CPP $DEFS conftest.c > conftest.out 2>&1"
if egrep "clock_t" conftest.out >/dev/null 2>&1; then
  echo "  YES"
foundflag=y
trfunc=`echo clock_t | tr '[a-z]' '[A-Z]'`_DEFINED
DEFS="$DEFS -D${trfunc}=1"
break
fi
rm -f conftest*
done
if test -z "$foundflag"
then
echo "  NO"
fi
for func in getenv tempnam tmpnam strerror
do
trfunc=HAVE_`echo $func | tr '[a-z]' '[A-Z]'`
echo checking for ${func}...
cat > conftest.c <<EOF

main() { exit(0); } 
t() { 
#ifdef __stub_${func}
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char * ${func}(); ${func}();
#endif
 }
EOF
if eval $compile; then
  echo "  YES"
DEFS="$DEFS -D${trfunc}=1"
else
  echo "  NO"
fi
rm -f conftest*
#endif
done

HAVE_GETTIME=""
echo checking for gettimeofday...
cat > conftest.c <<EOF
#include <stdio.h>
main() { exit(0); } 
t() { 
#ifdef __stub_gettimeofday
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char gettimeofday(); gettimeofday();
#endif
 }
EOF
if eval $compile; then
  echo "  YES"
DEFS="$DEFS -DHAVE_GETTIMEOFDAY=1"
HAVE_GETTIME=y
else
  echo "  NO"
fi
rm -f conftest*
#endif

if [ ! "$HAVE_GETTIME" ] 
then
for hdr in sys/timeb.h
do
trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
echo checking for ${hdr}...
cat > conftest.c <<EOF
#include <${hdr}>
EOF
err=`eval "$CPP $DEFS conftest.c 2>&1 >/dev/null"`
if test -z "$err"; then
  echo "  YES"
DEFS="$DEFS -D${trhdr}=1"
else
  echo "  NO"

fi
rm -f conftest*
done

fi
prog='/* Ultrix mips cc rejects this.  */
typedef int charset[2]; const charset x;
/* SunOS 4.1.1 cc rejects this. */
char const *const *p;
char **p2;
/* HPUX 7.0 cc rejects these. */
++p;
p2 = (char const* const*) p;'
echo checking for working const...
cat > conftest.c <<EOF

main() { exit(0); } 
t() { $prog }
EOF
if eval $compile; then
  echo "  YES"

else
  echo "  NO"
DEFS="$DEFS -Dconst="
fi
rm -f conftest*

echo "checking for working void..."
cat > conftest.c <<EOF
main()
{
void *p;
void f(void);

exit(0);
}
void f(void)
{}

EOF
eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  echo "  YES"
else
  echo "  NO"
DEFS="$DEFS -DNO_VOID=1"
fi
rm -f conftest*
echo checking for working backslash continuations...
cat > conftest.c <<EOF

main() { exit(0); } 
t() { 
int i\\
= 0;
 }
EOF
if eval $compile; then
  echo "  YES"
else
  echo "  NO"
DEFS="$DEFS -DFANCY_SPLIT=1"
fi
rm -f conftest*

echo "checking for new-style prototypes..."
cat > conftest.c <<EOF
main(int argc,char *argv[])
{
exit(0);
}

EOF
eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  echo "  YES"
else
  echo "  NO"
DEFS="$DEFS -DOLD_PROTOTYPES=1"
fi
rm -f conftest*
echo "checking for ANSI sprintf..."
cat > conftest.c <<EOF
#include <stdio.h>
#define TEST "abc"
main()
{
char temp[4];
int n;

n = sprintf(temp,TEST);
if(n == strlen(TEST))
  exit(0);
else
  exit(1);
}

EOF
eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  echo "  YES"
DEFS="$DEFS -DANSI_SPRINTF=1"
else
  echo "  NO (doesn't return number of characters written)"
fi
rm -f conftest*
echo "checking for ANSI sscanf..."
cat > conftest.c <<EOF
#include <stdio.h>
main()
{
char temp[] = "{12}{{1.11}{5}}{10}";
int n;
char smodno[10], smodno0[10], spageno[10], ssecno[10];
n = sscanf(temp,"%*c%[^}]%*3c%[^}]%*2c%[^}]%*3c%[^}]",
	   smodno, ssecno, spageno, smodno0);
if(n != 4) exit(1);
if(strcmp(smodno,"12") || strcmp(ssecno,"1.11") || strcmp(spageno,"5")
		|| strcmp(smodno0,"10")) 
	exit(2);
exit(0);
}

EOF
eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  echo "  YES"
DEFS="$DEFS -DANSI_SSCANF=1"
else
  echo "  NO (doesn't handle scansets correctly)"
fi
rm -f conftest*
if test -n "$prefix"; then
  test -z "$exec_prefix" && exec_prefix='${prefix}'
  prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
  prsub="$prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%\
exec_prefix\\1=\\2$exec_prefix%"
fi

trap 'rm -f config.status; exit 1' 1 3 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null`:
#
# $0 $*

for arg
do
  case "\$arg" in
    -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    exec /bin/sh $0 $* ;;
    *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
  esac
done

trap 'rm -f web/defaults.mk web/custom.h; exit 1' 1 3 15
CC='$CC'
CPP='$CPP'
INSTALL='$INSTALL'
INSTALL_PROGRAM='$INSTALL_PROGRAM'
INSTALL_DATA='$INSTALL_DATA'
_CFLAGS_='$_CFLAGS_'
_COMPILE_='$_COMPILE_'
_COMPILER_='$_COMPILER_'
_FTANGLE2_='$_FTANGLE2_'
_FTANGLE3_='$_FTANGLE3_'
_FWEAVE2_='$_FWEAVE2_'
_FWEAVE3_='$_FWEAVE3_'
_HOME_MACHINE_='$_HOME_MACHINE_'
_HWEB_='$_HWEB_'
_LDFLAGS_='$_LDFLAGS_'
_LINK_='$_LINK_'
_LIBS_='$_LIBS_'
_LOCAL_DEFS_='$_LOCAL_DEFS_'
_MACHINE_='$_MACHINE_'
_MAKE_='$_MAKE_'
_MV_='$_MV_'
_O_='$_O_'
_OBJ_='$_OBJ_'
_OPTIMIZE_='$_OPTIMIZE_'
_PART1_='$_PART1_'
_PART2_='$_PART2_'
_PART3_='$_PART3_'
_PRINT_DVI_='$_PRINT_DVI_'
_RESERVED2_='$_RESERVED2_'
_RM_='$_RM_'
_TERMCAP0_='$_TERMCAP0_'
_TOUCH_='$_TOUCH_'
_UNSIGNED_CHAR_='$_UNSIGNED_CHAR_'
LIBS='$LIBS'
srcdir='$srcdir'
DEFS='$DEFS'
prefix='$prefix'
exec_prefix='$exec_prefix'
prsub='$prsub'
EOF
cat >> config.status <<\EOF

top_srcdir=$srcdir
for file in .. web/defaults.mk web/custom.h; do if [ "x$file" != "x.." ]; then
  srcdir=$top_srcdir
  # Remove last slash and all that follows it.  Not all systems have dirname.
  dir=`echo $file|sed 's%/[^/][^/]*$%%'`
  if test "$dir" != "$file"; then
    test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
    test ! -d $dir && mkdir $dir
  fi
  echo creating $file
  rm -f $file
  if test "$file" = web/defaults.mk; then
   cmnt_begin="#"
   cmnt_end=
  else
   cmnt_begin="/*"
   cmnt_end=" */"
  fi
   echo "$cmnt_begin Generated automatically from `echo $file|sed 's|.*/||'`.in by configure.$cmnt_end" > $file
  sed -e "
$prsub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
s%@INSTALL@%$INSTALL%g
s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@_CFLAGS_@%$_CFLAGS_%g
s%@_COMPILE_@%$_COMPILE_%g
s%@_COMPILER_@%$_COMPILER_%g
s%@_FTANGLE2_@%$_FTANGLE2_%g
s%@_FTANGLE3_@%$_FTANGLE3_%g
s%@_FWEAVE2_@%$_FWEAVE2_%g
s%@_FWEAVE3_@%$_FWEAVE3_%g
s%@_HOME_MACHINE_@%$_HOME_MACHINE_%g
s%@_HWEB_@%$_HWEB_%g
s%@_LDFLAGS_@%$_LDFLAGS_%g
s%@_LINK_@%$_LINK_%g
s%@_LIBS_@%$_LIBS_%g
s%@_LOCAL_DEFS_@%$_LOCAL_DEFS_%g
s%@_MACHINE_@%$_MACHINE_%g
s%@_MAKE_@%$_MAKE_%g
s%@_MV_@%$_MV_%g
s%@_O_@%$_O_%g
s%@_OBJ_@%$_OBJ_%g
s%@_OPTIMIZE_@%$_OPTIMIZE_%g
s%@_PART1_@%$_PART1_%g
s%@_PART2_@%$_PART2_%g
s%@_PART3_@%$_PART3_%g
s%@_PRINT_DVI_@%$_PRINT_DVI_%g
s%@_RESERVED2_@%$_RESERVED2_%g
s%@_RM_@%$_RM_%g
s%@_TERMCAP0_@%$_TERMCAP0_%g
s%@_TOUCH_@%$_TOUCH_%g
s%@_UNSIGNED_CHAR_@%$_UNSIGNED_CHAR_%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@DEFS@%$DEFS%
" $top_srcdir/${file}.in >> $file
fi; done

EOF
chmod +x config.status
test -n "$no_create" || ./config.status

